Support qt4/qt5 parallel-instalable libmarblewidget

Review Request #122731 - Created Feb. 26, 2015 and submitted

Information
Rex Dieter
marble
master
Reviewers
marble

Support qt4/qt5 parallel-installabie libmarblewidget. Current mplementation preserves compatibility with qt4 builds, and qt5 builds changes base library soname to be libmarblewidget-qt5 instead.

Marble and subsurface (a qt5 app that uses libmarblewidget) builds and runs... mostly (there seems to be some problem with loading marble plugins though)

Dennis Nienhüser
Torsten Rahn
Rex Dieter
Review request changed

Status: Closed (submitted)

Change Summary:

Submitted with commit ac91cf9f27c355754fd7e8c6df9256a753cb8545 by Dennis Nienhüser on behalf of Rex Dieter to branch master.
Loading...